Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.repository
Interface ModeShapeConfiguration.LoadedFrom<ReturnType>

Type Parameters:
  `ReturnType` - the interface returned from these methods

Enclosing class:
  ModeShapeConfiguration

    public static interface ModeShapeConfiguration.LoadedFrom<ReturnType>

Interface for specifying from where the component's class is to be loaded.

Method Summary
`ReturnType` | `loadedFrom(String... classPathNames)` Specify the names of the classloaders that form the classpath for the component, from which the component's class (and its dependencies) can be loaded.
`ReturnType` | `loadedFromClasspath()` Specify that the component (and its dependencies) will be found on the current (or `current context`) classloader.

Method Detail

### loadedFrom

    ReturnType loadedFrom(String... classPathNames)

  Specify the names of the classloaders that form the classpath for the component, from which the component's class (and its dependencies) can be loaded. The names correspond to the names supplied to the `ExecutionContext.getClassLoader(String...)` methods.

  Parameters:
    `classPathNames` - the names for the classloaders, as passed to the `ClassLoaderFactory` implementation (e.g., the `ExecutionContext`).
  Returns:
    the next component to continue configuration; never null
  See Also:
    `loadedFromClasspath()`, `ExecutionContext.getClassLoader(String...)`

### loadedFromClasspath

    ReturnType loadedFromClasspath()

  Specify that the component (and its dependencies) will be found on the current (or `current context`) classloader.

  Returns:
    the next component to continue configuration; never null
  See Also:
    `loadedFrom(String...)`, `ExecutionContext.getClassLoader(String...)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.